package org.tio.sitexxx.service.service.pay.base;

import java.util.Map;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-11-26 11:19
 *    desc   :
 * </pre>
 */
public interface BaseRespFormatPay {

    /**
     * 获取merid
     */
    String getMerid();

    /**
     * 修改开户信息
     */
    Map<String, Object> updateUser(Map<String, Object> resp, Integer uid);

    /**
     * 用户余额
     */
    Map<String, Object> getWalletInfo(Map<String, Object> resp, Integer uid);

    /**
     * 充值
     */
    Map<String, Object> recharge(Map<String, Object> resp, Integer uid);

    /**
     * 充值回调
     */
    Map<String, Object> rechargeCallback(Map<String, Object> req, Integer uid);

    /**
     * 发红包
     */
    Map<String, Object> sendRedpacket(Map<String, Object> resp, Integer uid);

    /**
     * 红包查询
     */
    Map<String, Object> redpacketQuery(Map<String, Object> resp, Integer uid);

    /**
     * 抢红包
     */
    Map<String, Object> grabRedpacket(Map<String, Object> resp, Integer uid);

    /**
     * 提现
     */
    Map<String, Object> withhold(Map<String, Object> resp, Integer uid);

    /**
     * 提现回调
     */
    Map<String, Object> withholdCallback(Map<String, Object> req, Integer uid);

    /**
     * 提现查询
     */
    Map<String, Object> withholdQuery(Map<String, Object> resp, Integer uid);

    /**
     * 转账
     */
    Map<String, Object> transfer(Map<String, Object> resp, Integer uid);
}
